From 1c7cbb338f79562d123ea717e2adf8f16223d4f8 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Wed, 3 Jun 2020 14:34:04 +0800
Subject: [PATCH 71/77] virsh_domtime: hwclock will be stop both of suspend and
 managedsave for aarch64

The hwclock will be stop both of suspend and managedsave for aarch64.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_domtime.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_domtime.py b/libvirt/tests/src/virsh_cmd/domain/virsh_domtime.py
index 5634442f..e7f25d09 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_domtime.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_domtime.py
@@ -2,6 +2,7 @@ import datetime
 import logging
 import re
 import time
+import platform
 
 from avocado.utils import process
 
@@ -251,6 +252,8 @@ def run(test, params, env):
         if suspend or managedsave:
             logging.info('Remove %ss from expected guest software time',
                          stop_time)
+            if "aarch64" in platform.machine():
+                expected_times["local_hw"] -= stop_time
             expected_times["domtime"] -= stop_time
             expected_times["local_sys"] -= stop_time
             expected_times["utc_sys"] -= stop_time
-- 
2.23.0

